Diablo II & LoD

Archived from groups: alt.games.diablo2 (More info?)

I installed Diablo II and LoD on my iMac.
When I start the game the main start screen shows the following:
"Diablo
Expansion set
Lord of Destruction
v1.07"

I seem to remember that on the PC once LoD was installed the version number
was 1.10. Have I gone wrong here, and not installed a current patch or
something equally silly?
6 answers Last reply
More about diablo
  1. Archived from groups: alt.games.diablo2 (More info?)

    "Peter James" <pfjamesAT@clara.co.uk> wrote in message
    news:0001HW.BF560DE7000FDFA0F0284550@news.claranews.com...
    >I installed Diablo II and LoD on my iMac.
    > When I start the game the main start screen shows the following:
    > "Diablo
    > Expansion set
    > Lord of Destruction
    > v1.07"
    >
    > I seem to remember that on the PC once LoD was installed the version
    > number
    > was 1.10. Have I gone wrong here, and not installed a current patch or
    > something equally silly?
    >

    when you connect to battlenet it will download the current patch. if you
    don't go on battlenet, then you will have to find the patch and download it
    manually.

    take care,
    paul
    az
  2. Archived from groups: alt.games.diablo2 (More info?)

    I think it was Peter James <pfjamesAT@clara.co.uk> that wrote
    something like...

    >I installed Diablo II and LoD on my iMac.
    >When I start the game the main start screen shows the following:
    >"Diablo
    >Expansion set
    >Lord of Destruction
    >v1.07"
    >
    >I seem to remember that on the PC once LoD was installed the version number
    >was 1.10. Have I gone wrong here, and not installed a current patch or
    >something equally silly?

    Straight of the CD, LOD is 1.07.
    If/when you try to connect to battle.net it'll download and patch the
    game to 1.11. Unless you only plan on playing single player, and then
    you can choose which patch you want to play. If you can find the
    older patches that is.

    Ashen Shugar
    --
    The lions sing and the hills take flight.
    The moon by day, and the sun by night.
    Blind woman, deaf man, jackdaw fool.
    Let the Lord of Chaos rule!
  3. Archived from groups: alt.games.diablo2 (More info?)

    "Ashen Shugar" <deathsabyss@yahoo.com.au> schrieb im Newsbeitrag
    news:4336539e.60896796@news-server.bigpond.net.au...
    >I think it was Peter James <pfjamesAT@clara.co.uk> that wrote
    > something like...
    >
    >>I installed Diablo II and LoD on my iMac.
    >>When I start the game the main start screen shows the following:
    >>"Diablo
    >>Expansion set
    >>Lord of Destruction
    >>v1.07"
    >>
    >>I seem to remember that on the PC once LoD was installed the version
    >>number
    >>was 1.10. Have I gone wrong here, and not installed a current patch or
    >>something equally silly?
    >
    > Straight of the CD, LOD is 1.07.
    > If/when you try to connect to battle.net it'll download and patch the
    > game to 1.11. Unless you only plan on playing single player, and then
    > you can choose which patch you want to play. If you can find the
    > older patches that is.
    >
    > Ashen Shugar
    > --

    No problem, look here: http://ftp.blizzard.com/Pub/diablo2exp/patches
  4. Archived from groups: alt.games.diablo2 (More info?)

    On 20-9-2005 20:05, Peter James wrote:
    > I installed Diablo II and LoD on my iMac.
    > When I start the game the main start screen shows the following:
    > "Diablo
    > Expansion set
    > Lord of Destruction
    > v1.07"
    >
    > I seem to remember that on the PC once LoD was installed the version number
    > was 1.10. Have I gone wrong here, and not installed a current patch or
    > something equally silly?
    >

    When installing LoD the game is patched to 1.07. You will have to
    connect to battle.net to patch the game to the latest version.

    --
    Bow before me, for I am root.
  5. Archived from groups: alt.games.diablo2 (More info?)

    "Ralf Baumhoefer" <fcbayern_owp@yahoo.com> schrieb im Newsbeitrag
    news:4330684a$1@news.ginko.net...
    >
    > "Ashen Shugar" <deathsabyss@yahoo.com.au> schrieb im Newsbeitrag
    > news:4336539e.60896796@news-server.bigpond.net.au...
    >>I think it was Peter James <pfjamesAT@clara.co.uk> that wrote
    >> something like...
    >>
    >>>I installed Diablo II and LoD on my iMac.
    >>>When I start the game the main start screen shows the following:
    >>>"Diablo
    >>>Expansion set
    >>>Lord of Destruction
    >>>v1.07"
    >>>
    >>>I seem to remember that on the PC once LoD was installed the version
    >>>number
    >>>was 1.10. Have I gone wrong here, and not installed a current patch or
    >>>something equally silly?
    >>
    >> Straight of the CD, LOD is 1.07.
    >> If/when you try to connect to battle.net it'll download and patch the
    >> game to 1.11. Unless you only plan on playing single player, and then
    >> you can choose which patch you want to play. If you can find the
    >> older patches that is.
    >>
    >> Ashen Shugar
    >> --
    >
    > No problem, look here: http://ftp.blizzard.com/Pub/diablo2exp/patches
    >
    Or here : http://public.planetmirror.com/pub/blizzard/diablo2exp/patches/
    here 2:
    http://ftp.gameaholic.com/pub/mirrors/ftp.blizzard.com/diablo2exp/patches/
  6. Archived from groups: alt.games.diablo2 (More info?)

    On 20-9-2005 21:51, Ralf Baumhoefer wrote:
    > "Ashen Shugar" <deathsabyss@yahoo.com.au> schrieb im Newsbeitrag
    > news:4336539e.60896796@news-server.bigpond.net.au...
    >
    >>I think it was Peter James <pfjamesAT@clara.co.uk> that wrote
    >>something like...
    >>
    >>
    >>>I installed Diablo II and LoD on my iMac.
    >>>When I start the game the main start screen shows the following:
    >>>"Diablo
    >>>Expansion set
    >>>Lord of Destruction
    >>>v1.07"
    >>>
    >>>I seem to remember that on the PC once LoD was installed the version
    >>>number
    >>>was 1.10. Have I gone wrong here, and not installed a current patch or
    >>>something equally silly?
    >>
    >>Straight of the CD, LOD is 1.07.
    >>If/when you try to connect to battle.net it'll download and patch the
    >>game to 1.11. Unless you only plan on playing single player, and then
    >>you can choose which patch you want to play. If you can find the
    >>older patches that is.
    >>
    >>Ashen Shugar
    >>--
    >
    >
    > No problem, look here: http://ftp.blizzard.com/Pub/diablo2exp/patches
    >
    >

    Indeed all on the Blizzard FTP. :)

    --
    Bow before me, for I am root.
Ask a new question

Read More

Games Diablo iMac Video Games